path: /build/build/zlib-ng-sys-libs-2.1.6.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-compat cpu_flags_x86_sse2 cpu_flags_x86_ssse3" emerge sys-libs/zlib-ng -pv -t && \
    USE="-compat cpu_flags_x86_sse2 cpu_flags_x86_ssse3" emerge -j ${JOBS} --nodeps sys-libs/zlib-ng
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/zlib-ng && luet-portage --dir /pkgdir/zlib-ng
    sys-libs/zlib-ng && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:ef739a1d0b842d887355c78a7131bba27fc84ebdba1e53df84f8006e9b1d9486
  package:
    name: zlib-ng
    version: 2.1.6
    category: sys-libs
    use_flags:
    - -compat
    - cpu_flags_x86_sse2
    - cpu_flags_x86_ssse3
    requires:
    - name: pystring
      version: '>=0'
      category: dev-cpp
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: zlib replacement with optimizations for "next generation" systems.
    uri:
    - https://github.com/zlib-ng/zlib-ng
    license: ZLIB
    buildtimestamp: 2024-02-16 00:00:32.557559167 +0000 UTC m=+365.967510749
    labels:
      BDEPEND: dev-util/ninja dev-util/cmake
      IUSE: compat cpu_flags_x86_avx2 cpu_flags_x86_sse2 cpu_flags_x86_ssse3 cpu_flags_x86_sse4a
        cpu_flags_x86_pclmul cpu_flags_arm_crc32 cpu_flags_arm_neon cpu_flags_ppc_vsx2
        test
      RDEPEND: compat? ( !sys-libs/zlib )
      emerge.packages: sys-libs/zlib-ng
      kit: core-kit
      original.package.name: sys-libs/zlib-ng
      original.package.slot: "0"
      original.package.version: 2.1.6
    treedir: /build/packages
  package_dir: /pkgdir/zlib-ng
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 90be7687639459a2e73b2e393e0908cc8632080cd1cf307e2f31015a68515a0a
compressiontype: zstd
files:
- usr/include/zconf-ng.h
- usr/include/zlib-ng.h
- usr/include/zlib_name_mangling-ng.h
- usr/lib64/cmake/zlib-ng/zlib-ng-gentoo.cmake
- usr/lib64/cmake/zlib-ng/zlib-ng.cmake
- usr/lib64/libz-ng.so
- usr/lib64/libz-ng.so.2
- usr/lib64/libz-ng.so.2.1.6
- usr/lib64/pkgconfig/zlib-ng.pc
- usr/share/doc/zlib-ng-2.1.6/README.md.bz2
- var/db/pkg/sys-libs/zlib-ng-2.1.6/BDEPEND
- var/db/pkg/sys-libs/zlib-ng-2.1.6/BUILD_TIME
- var/db/pkg/sys-libs/zlib-ng-2.1.6/CATEGORY
- var/db/pkg/sys-libs/zlib-ng-2.1.6/CBUILD
- var/db/pkg/sys-libs/zlib-ng-2.1.6/CFLAGS
- var/db/pkg/sys-libs/zlib-ng-2.1.6/CHOST
- var/db/pkg/sys-libs/zlib-ng-2.1.6/CONTENTS
- var/db/pkg/sys-libs/zlib-ng-2.1.6/COUNTER
- var/db/pkg/sys-libs/zlib-ng-2.1.6/CXXFLAGS
- var/db/pkg/sys-libs/zlib-ng-2.1.6/DEFINED_PHASES
- var/db/pkg/sys-libs/zlib-ng-2.1.6/DESCRIPTION
- var/db/pkg/sys-libs/zlib-ng-2.1.6/EAPI
- var/db/pkg/sys-libs/zlib-ng-2.1.6/FEATURES
- var/db/pkg/sys-libs/zlib-ng-2.1.6/HOMEPAGE
- var/db/pkg/sys-libs/zlib-ng-2.1.6/INHERITED
- var/db/pkg/sys-libs/zlib-ng-2.1.6/IUSE
- var/db/pkg/sys-libs/zlib-ng-2.1.6/IUSE_EFFECTIVE
- var/db/pkg/sys-libs/zlib-ng-2.1.6/KEYWORDS
- var/db/pkg/sys-libs/zlib-ng-2.1.6/LDFLAGS
- var/db/pkg/sys-libs/zlib-ng-2.1.6/LICENSE
- var/db/pkg/sys-libs/zlib-ng-2.1.6/NEEDED
- var/db/pkg/sys-libs/zlib-ng-2.1.6/PF
- var/db/pkg/sys-libs/zlib-ng-2.1.6/PROVIDES
- var/db/pkg/sys-libs/zlib-ng-2.1.6/REQUIRES
- var/db/pkg/sys-libs/zlib-ng-2.1.6/RESTRICT
- var/db/pkg/sys-libs/zlib-ng-2.1.6/SIZE
- var/db/pkg/sys-libs/zlib-ng-2.1.6/SLOT
- var/db/pkg/sys-libs/zlib-ng-2.1.6/USE
- var/db/pkg/sys-libs/zlib-ng-2.1.6/environment.bz2
- var/db/pkg/sys-libs/zlib-ng-2.1.6/repository
- var/db/pkg/sys-libs/zlib-ng-2.1.6/zlib-ng-2.1.6.ebuild
package_cacheimage: ""
runtime:
  name: zlib-ng
  version: 2.1.6
  category: sys-libs
  use_flags:
  - -compat
  - cpu_flags_x86_sse2
  - cpu_flags_x86_ssse3
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: zlib replacement with optimizations for "next generation" systems.
  uri:
  - https://github.com/zlib-ng/zlib-ng
  license: ZLIB
  labels:
    BDEPEND: dev-util/ninja dev-util/cmake
    IUSE: compat cpu_flags_x86_avx2 cpu_flags_x86_sse2 cpu_flags_x86_ssse3 cpu_flags_x86_sse4a
      cpu_flags_x86_pclmul cpu_flags_arm_crc32 cpu_flags_arm_neon cpu_flags_ppc_vsx2
      test
    RDEPEND: compat? ( !sys-libs/zlib )
    emerge.packages: sys-libs/zlib-ng
    kit: core-kit
    original.package.name: sys-libs/zlib-ng
    original.package.slot: "0"
    original.package.version: 2.1.6
